package com.uvigo.mhp.looks;

import java.awt.*;
import org.havi.ui.*;
import com.uvigo.mhp.ui.*;

public interface HPanelLook
{
    public static final int CLICK_OUTSIDE=0;
    public static final int CLICK_BAR=1;
    public static final int CLICK_INSIDE=2;
    
    public int hitTest(HPanel panel, Point pt);
    public Insets getInsets(HPanel panel);
    public void showLook(Graphics g, HPanel panel);
}
